6.0.0-git
2021-01-19

[#3482] Saving S/MIME certificate to address book fails
Summary Saving S/MIME certificate to address book fails
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester selsky (at) columbia (dot) edu
Created 2006-02-15 (5452 days ago)
Due
Updated 2011-04-04 (3578 days ago)
Assigned 2008-11-09 (4454 days ago)
Resolved 2011-04-04 (3578 days ago)
Milestone
Patch No

History
2011-04-04 09:59:38 Jan Schneider Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
 
2011-04-04 09:59:33 Git Commit Comment #17 Reply to this comment
Changes have been made in Git for this ticket:

Update all addresses, not just the first one (Request #3482).

  3 files changed, 11 insertions(+), 7 deletions(-)
http://git.horde.org/horde-git/-/commit/b2514fb99f2e0e389d70ab0ff12d0995a9c5845e
2011-03-30 13:00:10 Jan Schneider Comment #16
State ⇒ Feedback
Reply to this comment
The parser already returned multiple addresses, I only had to add the 
code to pick the first of multiple addresses when adding certs to the 
address book.

Adding certs to all addresses of a cert wouldn't be complicated at 
all, but the API method is supposed to only return a single contact 
__key. Hm, now that I look at it, it doesn't do that in all cases 
anyway. So should we add the cert to all addresses or only the first 
one?
2011-03-30 12:56:41 Git Commit Comment #15 Reply to this comment
Changes have been made in Git for this ticket:

[jan] Add fields to the first address if multiple passed to addField() 
API method (Request #3482).

  3 files changed, 25 insertions(+), 9 deletions(-)
http://git.horde.org/horde-git/-/commit/536971e6023ec3d30c15183830efebb427264148
2009-09-05 21:17:37 Jan Schneider Type ⇒ Enhancement
Version ⇒ Git master
Queue ⇒ Horde Framework Packages
State ⇒ Accepted
Priority ⇒ 1. Low
 
2009-09-05 21:16:38 Jan Schneider Milestone ⇒ 4
 
2008-11-09 02:35:50 Chuck Hagenbuch Comment #14
State ⇒ Assigned
Reply to this comment
Un-stalling for Horde 4
2007-10-01 13:46:04 Jan Schneider Comment #13
State ⇒ Stalled
Reply to this comment
We would have to change the return hash of the cert parser to be able 
to return more than one value per certificate key. Anything else would 
be a crude hack, so this going to be stalled for Horde 4.
2007-09-30 21:24:12 Matt Selsky Comment #12
New Attachment: s-mime-sign.eml Download
Reply to this comment
Here you go.



Can we have a blacklist of free certificates so we avoid storing the 
bogus name from the the CN?  Thawte's certificates only have real 
names in the CN if you pay for the certificate...
2007-09-20 21:57:23 Jan Schneider Comment #11
Assigned to Jan Schneider
Taken from Matt Selsky
State ⇒ Feedback
Reply to this comment
That being said, we should fix IMP too, because in the message view
it shows the sender's name, not the cert's name in the link to save
the cert. The correct name/address is used in the verification
message though.
This has been fixed.



Is it correct that all that's left to do is, to save several contacts 
if there are several addresses in a cert? Can anyone provide and 
example message?
2007-04-19 22:35:47 Jan Schneider Assigned to Horde DevelopersHorde Developers
 
2006-02-16 09:40:03 Jan Schneider Comment #10 Reply to this comment
I don't think we should do anything about senseless CNs. It's sad the 
the Thawte certs don't contain a useful value, but need to rely on 
that, because certs are tied to the cert's subject, not to the sender 
of the cert.

That being said, we should fix IMP too, because in the message view it 
shows the sender's name, not the cert's name in the link to save the 
cert. The correct name/address is used in the verification message 
though.
2006-02-16 05:30:23 Matt Selsky Comment #9 Reply to this comment
Should we attempt to do anything about "dumb" CN's in the certificate 
subject?  I have a certificate from a UWisc user and the CN="Joe 
user", but I also have a Thawte Freemail certificate where the 
CN="Thawte Freemail Member".  Thawte may be the only CA that does 
this...
2006-02-15 22:41:11 Jan Schneider Comment #8 Reply to this comment
How should we deal with multiple email addresses?
Create multiple accounts?
I'd say we should look for a match, and add the certificate to the
first matching address if there is one. If there's no match, create
an entry for the first address listed in the cert.
But the user might want to use any of the addresses this cert is valid 
for. So he needs multiple entries in his address book.
2006-02-15 19:19:34 Matt Selsky Comment #7 Reply to this comment
Match the From address and the certification subject?  Should we also 
use the From address for the name field?  The name in the certificate 
is useless for this certificate at least.  Do other S/MIME 
certificates have better data in that field?
2006-02-15 19:13:31 Chuck Hagenbuch Comment #6 Reply to this comment
How should we deal with multiple email addresses?
Create multiple accounts?
I'd say we should look for a match, and add the certificate to the 
first matching address if there is one. If there's no match, create an 
entry for the first address listed in the cert.
2006-02-15 08:36:19 Jan Schneider Comment #5
Assigned to Matt Selsky
Reply to this comment
Assigned ticket should always be assigned to someone.
2006-02-15 08:35:10 Jan Schneider Comment #4 Reply to this comment
The Turba addField code assumes that there will only be one email
address in the certificate subject.  How should we deal with multiple
email addresses?
Create multiple accounts?
2006-02-15 03:31:34 Matt Selsky Comment #3
State ⇒ Assigned
Reply to this comment
I fixed the undefined index problem for History objects in Horde 3.1 
and HEAD.  The S/MIME problem still exists.
2006-02-15 01:52:23 Matt Selsky Comment #2 Reply to this comment
Note the link in IMP has this text:



Click to Save S/MIME certificate of Matthew Murphy 
<mattmurphy@kc.rr.com> in your Address Book.



The certificate Subject is as follows:



         Subject: CN=Thawte Freemail 
Member/emailAddress=mattmurphy@kc.rr.com/emailAddress=mrm565s@smsu.edu/emailAddress=Matthew007@MissouriState.edu



The Turba addField code assumes that there will only be one email 
address in the certificate subject.  How should we deal with multiple 
email addresses?
2006-02-15 01:43:20 Matt Selsky Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Saving S/MIME certificate to address book fails
Queue ⇒ IMP
Reply to this comment
I click on the "Save S/MIME certificate ... to address book" link in 
IMP and the resulting entry in turba looks like:



Name:          Thawte Freemail Member

Email:         Array

S/MIME Public Certificate          -----BEGIN CERTIFICATE-----

....Valid certificate....

-----END CERTIFICATE-----



Also, viewing the entry in Turba shows the following errors:



Notice: Undefined index: history_action in 
/etc/httpd/htdocs/horde/framework/History/History.php on line 346



Notice: Undefined index: history_desc in 
/etc/httpd/htdocs/horde/framework/History/History.php on line 347



Notice: Undefined index: history_who in 
/etc/httpd/htdocs/horde/framework/History/History.php on line 348



Notice: Undefined index: history_id in 
/etc/httpd/htdocs/horde/framework/History/History.php on line 349



Notice: Undefined index: history_ts in 
/etc/httpd/htdocs/horde/framework/History/History.php on line 350



Notice: Undefined index: history_extra in 
/etc/httpd/htdocs/horde/framework/History/History.php on line 351

Saved Queries